import { select, 
        json,
        csv,
        tsv, 
        geoPath,
        geoMercator,
        scaleOrdinal,
        schemeCategory10,
        zoom,
        event } from 'd3';
import { feature } from 'topojson';

const svg = select('svg');
const width = parseFloat(svg.attr('width'));
const height = +svg.attr('height');
let stateNames = [];

const projection = geoMercator()
			.clipExtent([[0,0],[width,height]])
			.center([140, 30])
			.scale(700);

const pathGenerator = geoPath()
		.projection(projection);

const g = svg.append('g');

svg.call(zoom().on('zoom', () => {
	g.attr('transform', event.transform)
}));

Promise.all([json('https://gist.githubusercontent.com/viswak12/017744c1d625ea92cadc4af9cecccc35/raw/31598e34c280b6d9329bab359d94016dd9aa8675/india.csv'),
             json('https://gist.githubusercontent.com/viswak12/017744c1d625ea92cadc4af9cecccc35/raw/31598e34c280b6d9329bab359d94016dd9aa8675/india.csv')
            ]).then(([stateJSON, districtJSON]) => {
	 
  const stateGroup = g.append('g');
  			
  const states = feature(stateJSON, stateJSON.objects.JPN_adm1);
  
  const colorScale = scaleOrdinal(schemeCategory10);
  
  const statePath = stateGroup.selectAll('path')
    .data(states.features)
  statePath.enter().append('path')
    .attr('class', 'states')
    .attr('d', d => pathGenerator(d))
});
      